#ifndef sphere_h__
#define sphere_h__

#include "defs.h"

//==============================================================================
class Sphere : public Object
//==============================================================================
{
public:
  vec3f center;
  float radius;
  float radiusSqr;
  Surface* surface;

  Sphere( const vec3f& center, float radius, Surface* surface )
    : center( center ), radius( radius ), surface( surface )
  {
    radiusSqr = radius * radius;
  }

  virtual RGBColor shade( const Ray& ray, Scene* scene );
  virtual bool intersect( Ray& ray );
};


#endif // sphere_h__